--- src/3rdparty/chromium/third_party/angle/BUILD.gn.orig	2021-12-15 16:12:54 UTC
+++ src/3rdparty/chromium/third_party/angle/BUILD.gn
@@ -141,10 +141,17 @@ config("extra_warnings") {
     ]
   }
   if (is_clang) {
+    if (!is_bsd) {
+      cflags += [
+        "-Wdeprecated-copy",
+        "-Wsuggest-destructor-override",
+        "-Wsuggest-override",
+      ]
+    }
+
     cflags += [
       "-Wbad-function-cast",
       "-Wconditional-uninitialized",
-      "-Wdeprecated-copy",
       "-Wextra-semi-stmt",
       "-Wfloat-conversion",
       "-Winconsistent-missing-destructor-override",
@@ -154,8 +161,6 @@ config("extra_warnings") {
       "-Wredundant-parens",
       "-Wreturn-std-move-in-c++11",
       "-Wshadow-field",
-      "-Wsuggest-destructor-override",
-      "-Wsuggest-override",
       "-Wtautological-type-limit-compare",
       "-Wundefined-reinterpret-cast",
       "-Wunneeded-internal-declaration",
@@ -388,7 +393,8 @@ angle_static_library("angle_gpu_info_util") {
   if (is_linux || is_chromeos) {
     sources += libangle_gpu_info_util_linux_sources
 
-    if (angle_use_x11 && angle_has_build) {
+    if ((angle_use_x11 && angle_has_build) || is_bsd) {
+    # Somewhere "angle_use_x11" is set to false, so we need to add is_bsd here
       sources += libangle_gpu_info_util_x11_sources
       deps += [ "src/third_party/libXNVCtrl:libXNVCtrl" ]
       defines += [ "GPU_INFO_USE_X11" ]
@@ -396,6 +402,7 @@ angle_static_library("angle_gpu_info_util") {
         "X11",
         "Xi",
         "Xext",
+        "GL",
       ]
     }
   }
